﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using System.Data.SqlClient;

namespace ktpm1k9_demodata2
{
    class DataUtil
    {
        SqlConnection connect;

        private void ConnectDatabase()
        {
            string strcon = "Data Source=TUVAWIN7; Initial Catalog=ktpm1k9; Integrated Security=true; user id=sa;password=1234567";
            connect = new SqlConnection(strcon);
        }
        public DataTable DanhsachLH()
        {
            ConnectDatabase();
            string sql = "select * from lophoc";
            SqlDataAdapter da = new SqlDataAdapter(sql, connect);
            DataTable ta = new DataTable();
            da.Fill(ta);
            return ta;
        }
        public DataTable DanhsachSV()
        {
            ConnectDatabase();
            string sql="select * from sinhvien";
            SqlDataAdapter da = new SqlDataAdapter(sql, connect);
            DataTable ta = new DataTable();
            da.Fill(ta);
            return ta;
        }
        public Sinhvien TimSV(int masv)
        {
            ConnectDatabase();
            string sql = "select * from sinhvien where masv=@masv";
            connect.Open();
            SqlCommand cmd = new SqlCommand(sql, connect);
            cmd.Parameters.AddWithValue("masv",masv);
            SqlDataReader rd = cmd.ExecuteReader();
            Sinhvien sv=null;
            if (rd.Read())
            {
                sv = new Sinhvien();
                sv.masv = Convert.ToInt16(rd["masv"]);
                sv.hoten = Convert.ToString(rd["hoten"]);
                sv.diachi = Convert.ToString(rd["diachi"]);
                sv.anh = Convert.ToString(rd["anh"]);
                sv.malop = Convert.ToInt16(rd["malop"]);

            } 
            connect.Close();
            return sv;
               
        }

        public void ThemSV(Sinhvien s)
        {
            ConnectDatabase();
            connect.Open();
            string sql = "insert into sinhvien values(@ht,@dc,@anh,@ml)";
            SqlCommand cmd = new SqlCommand(sql, connect);
            cmd.Parameters.AddWithValue("ht", s.hoten);
            cmd.Parameters.AddWithValue("dc", s.diachi);
            cmd.Parameters.AddWithValue("anh", s.anh);
            cmd.Parameters.AddWithValue("ml", s.malop);
            cmd.ExecuteNonQuery();

            connect.Close();
        }
        public void CapnhatSV(Sinhvien s)
        {
            ConnectDatabase();
            connect.Open();
            string sql = "update sinhvien set hoten=@ht,diachi=@dc,anh=@anh,malop=@ml where masv=@masv";
            SqlCommand cmd = new SqlCommand(sql, connect);
            cmd.Parameters.AddWithValue("ht", s.hoten);
            cmd.Parameters.AddWithValue("dc", s.diachi);
            cmd.Parameters.AddWithValue("anh", s.anh);
            cmd.Parameters.AddWithValue("ml", s.malop);
            cmd.Parameters.AddWithValue("masv", s.masv);

            cmd.ExecuteNonQuery();

            connect.Close();
        }
        public void XoaSV(int m)
        {
            ConnectDatabase();
            connect.Open();
            string sql = "delete from sinhvien where masv=@masv"; 
            SqlCommand cmd = new SqlCommand(sql, connect);
           
            cmd.Parameters.AddWithValue("masv", m);
            cmd.ExecuteNonQuery();

            connect.Close();
        }
    }
}
