﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace ktpm1k9_demodata2
{
    public partial class Form1 : Form
    {
        DataUtil obj = new DataUtil();
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            FillDataGridView();
            DataTable t = obj.DanhsachLH();

            cbomalop.DataSource = t;
            cbomalop.DisplayMember = "tenlop";
            cbomalop.ValueMember = "malop";

            dataGridView1.Columns[0].HeaderText = "Ma sinh vien";
            dataGridView1.Columns[0].Width = 150;

        }

        private void FillDataGridView()
        {
            DataTable table = obj.DanhsachSV();
            dataGridView1.DataSource = table;
        }

        private void textBox3_TextChanged(object sender, EventArgs e)
        {

        }

        private void btnThem_Click(object sender, EventArgs e)
        {
            Sinhvien s = new Sinhvien();
            s.hoten = txtht.Text;
            s.diachi = txtdc.Text;
            s.anh = txta.Text;
          //  s.malop = Convert.ToInt16(txtml.Text);
            s.malop = Convert.ToInt16(cbomalop.SelectedValue);
            obj.ThemSV(s);
            FillDataGridView();
            XoaTextbox();
            txtht.Focus();

        }

        private void btndong_Click(object sender, EventArgs e)
        {
            Close();
        }

        private void btntim_Click(object sender, EventArgs e)
        {
            //string input = Microsoft.VisualBasic.Interaction.InputBox("Thong bao","Nhap ma sv can tim?","",0,0);
            //int masv = Convert.ToInt16(input);
       
            int masv = Convert.ToInt16(txttim.Text);
            Sinhvien s2 = obj.TimSV(masv);
            if (s2 == null)
                MessageBox.Show("khong co");
            else
            {
                txtmasv.Text = s2.masv.ToString();
                txtht.Text = s2.hoten;
                txtdc.Text = s2.diachi;
                txta.Text = s2.anh;
              //  txtml.Text = s2.malop.ToString();
                cbomalop.SelectedValue = s2.malop.ToString();
            }



        
        }

        private void btnxoa_Click(object sender, EventArgs e)
        {
            int m = int.Parse(txtmasv.Text);
            obj.XoaSV(m);
            FillDataGridView();
            XoaTextbox();
        }
        private void XoaTextbox()
        {
            txtmasv.Clear();
            txtht.Clear();
            //txtml.Clear();
            txta.Clear();
            txtdc.Clear();
        }

        private void LayHangDulieu(object sender, DataGridViewCellEventArgs e)
        {
            int index = dataGridView1.SelectedCells[0].RowIndex;
            DataGridViewRow row = dataGridView1.Rows[index];
            txtmasv.Text = Convert.ToString(row.Cells["masv"].Value);
            txtht.Text = Convert.ToString(row.Cells["hoten"].Value);
            txtdc.Text = Convert.ToString(row.Cells["diachi"].Value);
            txta.Text = Convert.ToString(row.Cells["anh"].Value);
        //    txtml.Text = Convert.ToString(row.Cells["malop"].Value);
            cbomalop.SelectedValue = Convert.ToString(row.Cells["malop"].Value);

        }

        private void btncapnhat_Click(object sender, EventArgs e)
        {
            Sinhvien s = new Sinhvien();
            s.hoten = txtht.Text;
            s.diachi = txtdc.Text;
            s.anh = txta.Text;
           // s.malop = Convert.ToInt16(txtml.Text);
            s.malop = Convert.ToInt16(cbomalop.SelectedValue);

            s.masv = Convert.ToInt16(txtmasv.Text);
            obj.CapnhatSV(s);
            FillDataGridView();
        }

        private void btnxoatext_Click(object sender, EventArgs e)
        {
            XoaTextbox();
            txtht.Focus();
        }
    }
}
